name = "fedora-43-base"
description = "Fedora 43 Base Installation"
version = "0.0.1"
distro = "fedora-43"
modules = []
groups = []

[customizations]
hostname = "f43-base"

[[customizations.disk.partitions]]
type = "btrfs"
minsize = "32 GiB"

[[customizations.disk.partitions.subvolumes]]
name = "root"
mountpoint = "/"

[[customizations.disk.partitions.subvolumes]]
name = "home"
mountpoint = "/home"

[customizations.timezone]
timezone = "America/New_York"

[[customizations.user]]
name = "ducoterra"
password = "$6$QqOw6ktp6aiPy5kX$cpN.oar4CiofH0PpxyveJgkjsRFGnZ5ykOX/50DcJyU3hZFxc5R3SASemNW6m3jceLGgZrQHyALQl8SgtcNO90"
key = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGQa781Qj8mNlUdRquFFqg0O2ornG9SBHe705y4+1vPI ssh@ducoterra.net"
home = "/home/ducoterra/"
shell = "/usr/bin/bash"
groups = ["wheel"]
uid = 1000

[customizations.firewall.services]
enabled = ["ssh"]

[customizations.services]
enabled = ["sshd"]

[[packages]]
name = "bash-completion"
version = "*"

[[packages]]
name = "tmux"
version = "*"

[[packages]]
name = "openssh-server"
version = "*"

[[packages]]
name = "vim"
version = "*"

[[packages]]
name = "git"
version = "*"

[[customizations.files]]
path = "/root/.inputrc"
mode = "0644"
user = "root"
group = "root"
data = """
"\\C-h": backward-kill-word
"""

[[customizations.files]]
path = "/home/ducoterra/.inputrc"
mode = "0644"
user = "root"
group = "root"
data = """
"\\C-h": backward-kill-word
"""
